/*
 * Copyright Aduna (http://www.aduna-software.com/) (c) 1997-2007.
 *
 * Licensed under the Aduna BSD-style license.
 */

package info.aduna.collections.iterators;

import info.aduna.iteration.SingletonIteration;

/**
 * An iterator that contains exactly one element.
 */
public class SingletonIterator<E> extends SingletonIteration<E, RuntimeException> implements
		CloseableIterator<E>
{

	/**
	 * Creates a new EmptyIterator.
	 */
	public SingletonIterator(E value) {
		super(value);
	}
}
